Package Details: jdk8-openjdk-jetbrains 8.u202.b1483.37-2

Git Clone URL: https://aur.archlinux.org/java8-openjdk-jetbrains.git (read-only)
Package Base: java8-openjdk-jetbrains
Description: OpenJDK Java 8 development kit (with JetBrains patches)
Upstream URL: https://github.com/JetBrains/jdk8u
Licenses: custom
Provides: java-environment=8, java-environment-openjdk=8, java-environment-openjdk-jetbrains=8
Submitter: hexchain
Maintainer: hexchain
Last Packager: hexchain
Votes: 9
Popularity: 0.000057
First Submitted: 2016-11-27 14:14
Last Updated: 2019-06-24 11:31

Required by (815)

Sources (8)

Latest Comments

1 2 3 Next › Last »

emilweth commented on 2019-06-24 11:49

@hexchain thank's :)

hexchain commented on 2019-06-24 11:47

@emilweth: Fixed. If you do not want to compile, there are also binary packages coming out of GitLab CI: https://gitlab.com/hexchain/repo/-/jobs/238648870/artifacts/browse/packages/

emilweth commented on 2019-06-24 02:28

Hi, I can't install this package

build log : https://pastebin.com/raw/QmGsgTAs

archlinux-java get

java-8-openjdk

k2s commented on 2019-04-25 08:25

@hexchain:

archlinux-java status

Available Java environments: java-8-openjdk java-8-openjdk-jetbrains (default)

hexchain commented on 2019-04-25 08:06

@k2s: are you building with (open)jdk8?

k2s commented on 2019-04-25 07:23

can't install this package on up to date system:

java8-openjdk-jetbrains/src/jdk8u-jb8u202-b1483.37/corba/src/share/classes/com/sun/corba/se/impl/ior/StubIORImpl.java:139: error: cannot find symbol SharedSecrets.getJavaOISAccess().checkArray(stream, byte[].class, dataSize);

khampf commented on 2019-03-20 10:33

@hexchain: some other time - I used your packages from gitlab for now

hexchain commented on 2019-03-20 09:48

@khampf: Could you please try to build in a clean environment? e.g. using extra-x86_64-build

hexchain commented on 2019-03-20 09:47

@ginkel: Thanks! Fix applied.

khampf commented on 2019-03-20 09:20

@hexchain: Seemed like I was using java-10-openjdk as default. But using the previous java-8-openjdk-jetbrains or java-11-jdk (my currently installed java versions) by 'archlinux-java set' made absolutely no difference. Not investigating further as I ended up using your packages from gitlab